"use strict";

const addCommonFields = require("../event-add-common-fields");
const mapMaybeRedacted = require("../map-maybe-redacted");

module.exports = function mapCanonicalAliasEvent(event, _context) {
	return addCommonFields(event, {
		type: "canonicalAliasChanged",
		sender: event.sender,
		... mapMaybeRedacted(event, () => ({
			alias: event.content.alias
		}))
	});
};
